<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
	public function up()
	{
	    Schema::table('listings', function (Blueprint $table) {
		$table->string('prefix')->nullable()->before('first_name');
		$table->string('middle_name')->nullable()->after('first_name');
		$table->string('suffix')->nullable()->after('last_name');
//		$table->dropColumn('location');
//		$table->dropColumn('practice_area_id');
	    });
	}

    /**
     * Reverse the migrations.
     */
	public function down()
	{
	    Schema::table('listings', function (Blueprint $table) {
	        // Reverse the column name change
	        $table->dropColumn('prefix');
		$table->dropColumn('middle_name');
		$table->dropColumn('suffix');
	    });
	}

};
